## ExpressExpressCheckoutElement

Use the `ExpressCheckoutElement` from `@stripe/react-stripe-js/checkout` to accept payments through one-click payment buttons. The component must be rendered inside a [CheckoutElementsProvider](https://docs.stripe.com/js/react_stripe_js/checkout/checkout_provider.md).

### Props

*   `id`
    Sets the DOM `id` attribute on the rendered Element container. Use this to target the Element for styling or testing.
*   `className`
    Applies custom CSS classes to the Element container.
*   `options`
    Express Checkout Element initialization options.
*   `buttonHeight`
    By default, the height of the buttons are 44px. You can override this to specify a custom button height in the range of 40px-55px.
*   `buttonTheme`
    Specify the preferred button theme to use. By default, Elements determines the themes based on the specified [appearance option](https://docs.stripe.com/js/elements_object/create.md#stripe_elements-options-appearance).
*   `applePay`
*   `googlePay`
*   `paypal`
*   `klarna`
*   `buttonType`
    Specify the preferred button type to display.
*   `applePay`
    Default is `plain`.
*   `googlePay`
    Default is `buy`.
*   `paypal`
    Default is `paypal`.
*   `klarna`
    Default is `pay`.
*   `layout`
    Specify how the buttons are arranged in a grid-like layout in the Express Checkout Element. Elements determines the layout by using certain factors, such as available space, number of buttons, and the defined `layout` object.
*   `maxColumns`
    Defines the maximum number of columns the Express Checkout Element can use to render. Default is `0`, meaning unlimited.
*   `maxRows`
    Defines the maximum number of rows the Express Checkout Element can use to render. Default is `0`, meaning unlimited.
*   `overflow`
    Specify whether or not to always hide the overflow menu or allow Elements to determine when to show the overflow menu. Default is `auto`. You can't specify both `overflow: 'never'` and set `maxRows` to a number greater than 0.
*   `paymentMethodOrder`
    By default, the Express Checkout Element uses a dynamic ordering that optimizes payment method display for each user. You can override the default order in which payment methods display in the